Summary: GNOME User Documentation
Name: gnome-user-docs
Version: 2.20.0
Release: %mkrel 1
License: FDL
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Group: Books/Other
Url: http://www.gnome.org/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: scrollkeeper pkgconfig
BuildRequires: gnome-doc-utils >= 0.5.6 libxslt-proc
Requires(post): scrollkeeper >= 0.3
Requires(postun): scrollkeeper >= 0.3
Obsoletes: gnome-users-guide
Provides: gnome-users-guide

%description
This package contains the GNOME Glossary, Introduction to GNOME, and a Unix
Primer.

%prep
%setup -q

%build
%configure2_5x
# parallel compilation is broken
make

%install
%makeinstall_std

%find_lang %{name} --with-gnome --all-name
rm -rf %buildroot/var/lib/scrollkeeper
for omf in %buildroot%_datadir/omf/*/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

%clean 
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc README NEWS
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf


%changelog
* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89352
- new version

* Mon Jul 02 2007 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2008.0
+ Revision: 47181
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 13858
- new version


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142093
- new version
- Import gnome-user-docs

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Thu Aug 10 2006 Götz Waschk <waschk@mandriva.org> 2.15.1-1mdv2007.0
- New release 2.15.1

* Fri Apr 21 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-4mdk
- fix buildrequires

* Thu Apr 20 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-3mdk
- fix buildrequires

* Thu Apr 20 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-2mdk
- add missing buildrequires

* Thu Apr 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-1mdk
- Release 2.14.2

* Mon Jan 16 2006 Frederic Crozat <fcrozat@mandriva.com> 2.8.1-2mdk
- use mkrel
- fix prereq

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.1-1mdk
- Release 2.6.0 (with Gtz help)
- fix installation
- add NEWS

